{
  "version": 6,
  "cmakeMinimumRequired": {
    "major": 3,
    "minor": 24,
    "patch": 0
  },
  "configurePresets": [
    {
      "name": "vs2022-x64-debug",
      "displayName": "VS2022 x64 Debug",
      "description": "Configure with Visual Studio 2022 for x64 Debug builds.",
      "generator": "Visual Studio 17 2022",
      "architecture": {
        "value": "x64",
        "strategy": "external"
      },
      "binaryDir": "${sourceDir}/build/vs2022-x64-debug",
      "cacheVariables": {
        "CMAKE_INSTALL_PREFIX": "${sourceDir}/out/install/vs2022-x64-debug"
      }
    },
    {
      "name": "vs2022-x64-release",
      "displayName": "VS2022 x64 Release",
      "description": "Configure with Visual Studio 2022 for x64 Release builds.",
      "generator": "Visual Studio 17 2022",
      "architecture": {
        "value": "x64",
        "strategy": "external"
      },
      "binaryDir": "${sourceDir}/build/vs2022-x64-release",
      "cacheVariables": {
        "CMAKE_INSTALL_PREFIX": "${sourceDir}/out/install/vs2022-x64-release"
      }
    }
  ],
  "buildPresets": [
    {
      "name": "build-debug",
      "displayName": "Build Debug",
      "configurePreset": "vs2022-x64-debug",
      "configuration": "Debug"
    },
    {
      "name": "build-release",
      "displayName": "Build Release",
      "configurePreset": "vs2022-x64-release",
      "configuration": "Release"
    }
  ]
}
